/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.mock;

import java.util.ArrayList;
import java.util.List;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemInterceptor;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataItemInterceptorMock1a implements MetadataItemInterceptor<MockItem1>
  {
    public static final List<Metadata> metadataList = new ArrayList<Metadata>();
    public static final List<MetadataItemHolder<MockItem1>> holderList = new ArrayList<MetadataItemHolder<MockItem1>>();
    public static boolean shouldThrowException = false;
    
    public static void reset()
      {
        metadataList.clear();
        holderList.clear();
      }
    
    public Class<MockItem1> getItemClass() 
      {
        return MockItem1.class;
      }
    
    public void notifyItemCreated (final Metadata metadata, final MetadataItemHolder<MockItem1> holder) 
      throws Exception 
      {
        metadataList.add(metadata);
        holderList.add(holder);
        
        if (shouldThrowException)
          {
            throw new Error("purportedly generated error");
          }
      }
  }
