/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.mock;

import java.util.ArrayList;
import java.util.List;
import org.openide.loaders.DataObject;
import it.tidalwave.metadata.Metadata.StorageType;
import it.tidalwave.metadata.Metadata.StoreOption;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemSinkSupport;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataItemSinkMock1a extends MetadataItemSinkSupport<MockItem1>
  {
    public final static List<DataObject> dataObjects = new ArrayList<DataObject>();
    public final static List<MetadataItemHolder<MockItem1>> holders = new ArrayList<MetadataItemHolder<MockItem1>>();
    public final static List<StoreOption[]> storeOptions = new ArrayList<StoreOption[]>();
    
    public MetadataItemSinkMock1a()
      {
        super(MockItem1.class, "MetadataItemSinkMock1a", StorageType.INTERNAL);
      }
    
    public static void reset()
      {
        dataObjects.clear();
        holders.clear();
        storeOptions.clear();
      }
    
    public void storeMetadataItem (final DataObject dataObject, 
                                   final MetadataItemHolder<MockItem1> holder, 
                                   final StoreOption ... options) 
      {
        dataObjects.add(dataObject);
        holders.add(holder);
        storeOptions.add(options);
      }
  }
