/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.mock;

import java.util.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import org.openide.loaders.DataObject;
import it.tidalwave.metadata.Metadata.FindOption;
import it.tidalwave.metadata.Metadata.StorageType;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemEnhancer;
import it.tidalwave.metadata.spi.MetadataItemSourceSupport;
import java.util.Collection;
import java.util.Collections;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataItemSourceMock1Internal extends MetadataItemSourceSupport<MockItem1>
  {
    public static final Date DATE;
    
    static
      {
        try
          {
            final DateFormat FORMAT = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            DATE = FORMAT.parse("2007-07-10 11:30:45");
          }
        catch (ParseException e)
          {
            throw new ExceptionInInitializerError(e);
          }
      }
    
    public MetadataItemSourceMock1Internal()
      {
        super(MockItem1.class, "MockItem1Internal", StorageType.INTERNAL);
      }

    public Collection<? extends MetadataItemHolder<MockItem1>> loadMetadataItems (final DataObject dataObject, final FindOption ... options)
      {
        return Collections.singleton(new MetadataItemHolderMock<MockItem1>(MetadataItemEnhancer.createEnhancedItem(new MockItem1(), DATE), getName(), "Mock", DATE));
      }
  }
