/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.spi;

import it.tidalwave.metadata.Metadata.StorageType;
import it.tidalwave.metadata.mock.MetadataItemSourceSinkMock;
import it.tidalwave.metadata.mock.MockItem1;
import it.tidalwave.metadata.mock.MockItem2;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataItemSourceSinkSupportTest 
  {
    private MetadataItemSourceSinkMock sourceSink1;
    private MetadataItemSourceSinkMock sourceSink2;
    
    @Before
    public void setupFixture()
      {
        sourceSink1 = new MetadataItemSourceSinkMock(MockItem1.class, "TestSourceSink1", StorageType.EXTERNAL);
        sourceSink2 = new MetadataItemSourceSinkMock(MockItem2.class, "TestSourceSink2", StorageType.INTERNAL);
      }
    
    @After
    public void tearDownFixture()
      {
        sourceSink1 = null;
      }
    
    @Test
    public void testGetItemClass() 
      {
        assertEquals(MockItem1.class, sourceSink1.getItemClass());
        assertEquals(MockItem2.class, sourceSink2.getItemClass());
      }

    @Test
    public void testGetName() 
      {
        assertEquals("TestSourceSink1", sourceSink1.getName());
        assertEquals("TestSourceSink2", sourceSink2.getName());
      }

    @Test
    public void testGetType() 
      {
        assertEquals(StorageType.EXTERNAL, sourceSink1.getType());
        assertEquals(StorageType.INTERNAL, sourceSink2.getType());
      }
  }