/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.spi;

import java.io.IOException;
import org.openide.filesystems.FileObject;
import org.openide.filesystems.FileSystem;
import org.openide.filesystems.FileUtil;
import org.openide.loaders.DataObject;
import org.junit.After;
import org.junit.Before;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class TestSupport extends TestLoggingSupport
  {
    private FileSystem fileSystem;
    
    // TODO remove this, use memory file system if possible
    @Before
    public void setUpFileSystem()
      throws Exception 
      {
//        logger.info("********************** setup()");
        fileSystem = FileUtil.createMemoryFileSystem();
      } 

    @After
    public void tearDownFileSystem() 
      {
        fileSystem = null;
      }
    
    protected DataObject createDataObject (final String name) 
      throws IOException
      {
        final FileObject fileObject = fileSystem.getRoot().createData(name);
        assertNotNull(fileObject);
        final DataObject dataObject = DataObject.find(fileObject);
        assertNotNull(dataObject);
        return dataObject;
      }
  }
